
Cognitive Interaction Toolkit - Bug #239

Omnirob: rsb-gstreamer first time build failure

2014-05-09 12:07 - Florian Lier

Status: Closed Start date: 2014-05-09

Priority: High Due date:  

Assignee: Arne Nordmann % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.20 hour

Description

This is my env (nothing unusual at first glance)

MANPATH=/vol/local/man:/usr/local/share/man:/usr/share/man

NNTPSERVER=news.uni-bielefeld.de

MODULEPATH_modshare=/vol/isy/share/modulefiles:1:/vol/clf/share/modulefiles:2:/homes/flier/.modulefiles:2:/vol/ai/share/modulefil

es:2

TERM=xterm-256color

SHELL=/bin/bash

OLDPWD=/homes/flier/Projects/Ongoing/Toolkit-Distros

SSH_TTY=/dev/pts/3

http_proxy=http://proxy.techfak.net:80

USER=flier

ftp_proxy=http://proxy.techfak.net:80

PATH=/vol/local/bin:/usr/local/bin:/usr/bin:/bin:/usr/games

MAIL=/homes/flier/mail/inbox

PWD=/homes/flier/Projects/Ongoing/Toolkit-Distros/projects

JAVA_HOME=/media/FSM-Lab/releases/precise/x64/usr/lib/jvm/jdk1.7.0_45/

EDITOR=nano

LANG=en_US.UTF-8

MODULEPATH=/vol/isy/share/modulefiles:/vol/clf/share/modulefiles:/homes/flier/.modulefiles:/vol/ai/share/modulefiles

RCINFO_INITIALIZED=1

https_proxy=http://proxy.techfak.net:80

SHLVL=1

HOME=/homes/flier

LOGNAME=flier

BASHRC_LOADED=1

XDG_DATA_DIRS=/usr/local/share:/usr/share

MODULESHOME=/vol/ai/lib/modules-tcl

CUPS_SERVER=cups.techfak.uni-bielefeld.de

_=/usr/bin/env

 

However, it's extremely strange that the rst headers are found in /vol/isy  ????

Started by upstream project "rsb-gstreamer-master-toolkit-omnirob-nightly" build number 1

originally caused by:

 Started by build flow distribution-buildflow.omnirob-nightly#1

Building in workspace

 /homes/flier/Projects/Ongoing/CITK/distinstaller/jenkins/jobs/rsb-gstreamer-master-toolkit-omnirob-nightly/workspace/label/master

Wiping out workspace first.

Cloning the remote Git repository

Cloning repository https://code.cor-lab.org/git/rsb-gstreamer.git

 > git init

 /homes/flier/Projects/Ongoing/CITK/distinstaller/jenkins/jobs/rsb-gstreamer-master-toolkit-omnirob-nightly/workspace/label/master

Fetching upstream changes from https://code.cor-lab.org/git/rsb-gstreamer.git

 > git --version

 > git fetch --tags --progress https://code.cor-lab.org/git/rsb-gstreamer.git +refs/heads/*:refs/remotes/origin/*

 > git config remote.origin.url https://code.cor-lab.org/git/rsb-gstreamer.git

 > git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/*

 > git config remote.origin.url https://code.cor-lab.org/git/rsb-gstreamer.git
Fetching upstream changes from https://code.cor-lab.org/git/rsb-gstreamer.git

 > git fetch --tags --progress https://code.cor-lab.org/git/rsb-gstreamer.git +refs/heads/*:refs/remotes/origin/*

Checking out Revision 2fbc516cbecaf115d6181157a44ce1639ff3456d (origin/master)

 > git config core.sparsecheckout

 > git checkout -f 2fbc516cbecaf115d6181157a44ce1639ff3456d

 > git branch -a

 > git rev-parse remotes/origin/0.10^{commit}

 > git rev-parse remotes/origin/0.4^{commit}

 > git rev-parse remotes/origin/0.5^{commit}

 > git rev-parse remotes/origin/0.6^{commit}

 > git rev-parse remotes/origin/0.7^{commit}

 > git rev-parse remotes/origin/0.9^{commit}

 > git rev-parse remotes/origin/master^{commit}

 > git rev-parse remotes/origin/wip-mmlac^{commit}

 > git checkout -b master 2fbc516cbecaf115d6181157a44ce1639ff3456d

First time build. Skipping changelog.

[master] $ /bin/sh -xe /tmp/hudson5202818434455994541.sh

+ mkdir -p build

+ cd build

+ export PKG_CONFIG_PATH=/tmp/omnirob/omnirob-nightly//lib/pkgconfig:

+ find /tmp/omnirob/omnirob-nightly/ -type f ( -name RSCConfig.cmake -o -name rsc-config.cmake ) -exec dirname {} ;

+ RSC_DIR=/tmp/omnirob/omnirob-nightly/share/rsc0.11

+ find /tmp/omnirob/omnirob-nightly/ -type f ( -name RSBConfig.cmake -o -name rsb-config.cmake ) -exec dirname {} ;

+ RSB_DIR=/tmp/omnirob/omnirob-nightly/share/rsb0.11

+ find /tmp/omnirob/omnirob-nightly/ -type f ( -name RSTConfig.cmake -o -name rst-config.cmake ) -exec dirname {} ;

+ RST_DIR=

+ cmake -DRSC_DIR=/tmp/omnirob/omnirob-nightly/share/rsc0.11 -DRSB_DIR=/tmp/omnirob/omnirob-nightly/share/rsb0.11

 -DRST_DIR= -DCMAKE_INSTALL_PREFIX=/tmp/omnirob/omnirob-nightly/ -DCMAKE_BUILD_TYPE=RelWithDebInfo

 -DCMAKE_SKIP_BUILD_RPATH=FALSE -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE

 -DCMAKE_INSTALL_RPATH=/tmp/omnirob/omnirob-nightly//lib ..

-- The C compiler identification is GNU

-- The CXX compiler identification is GNU

-- Check for working C compiler: /usr/bin/gcc

-- Check for working C compiler: /usr/bin/gcc -- works

-- Detecting C compiler ABI info

-- Detecting C compiler ABI info - done

-- Check for working CXX compiler: /usr/bin/c++

-- Check for working CXX compiler: /usr/bin/c++ -- works

-- Detecting CXX compiler ABI info

-- Detecting CXX compiler ABI info - done

-- Boost version: 1.46.1

-- Found the following Boost libraries:

--   thread

--   filesystem

--   signals

--   program_options

--   system

--   regex

-- RSC version:              0.11.0

-- RSC libraries:            rsc0.11

-- RSC runtime library dirs: /tmp/omnirob/omnirob-nightly/share/rsc0.11/../../bin

-- RSC CMake module path:    /tmp/omnirob/omnirob-nightly/share/rsc0.11/../../share/rsc0.11/cmake/Modules

-- Using CMake module path:

-- This is a git repository

-- This repository is on a non-release branch. Not defining patch version.

-- Found BoostUUID: /usr/include

-- Boost version: 1.46.1

-- Found the following Boost libraries:

--   regex

--   date_time

--   program_options

--   system

-- protoc does not support matlab
-- Found PROTOBUF: /usr/lib/libprotobuf.so

-- protoc does not support matlab

-- checking for modules 'gstreamer-0.10;gstreamer-base-0.10;gstreamer-audio-0.10'

--   found gstreamer-0.10, version 0.10.36

--   found gstreamer-base-0.10, version 0.10.36

--   found gstreamer-audio-0.10, version 0.10.36

-- Generating package for generator: TGZ

-- Configuring done

-- Generating done

-- Build files have been written to:

+ make

Scanning dependencies of target gstrsb

[ 11%] Building CXX object CMakeFiles/gstrsb.dir/src/plugin.cpp.o

In file included from

/vol/isy/SS2012/releases/lucid/gar-installer/rsx/rst/work/main.d/rst-1.0/cpp/stable/rst/vision/Image.pb.h:16:2: error: #error This file was

 generated by an older version of protoc which is

/vol/isy/SS2012/releases/lucid/gar-installer/rsx/rst/work/main.d/rst-1.0/cpp/stable/rst/vision/Image.pb.h:17:2: error: #error

 incompatible with your Protocol Buffer headers. Please

/vol/isy/SS2012/releases/lucid/gar-installer/rsx/rst/work/main.d/rst-1.0/cpp/stable/rst/vision/Image.pb.h:18:2: error: #error regenerate

 this file with a newer version of protoc.

In file included from

/vol/isy/SS2012/releases/lucid/gar-installer/rsx/rst/work/main.d/rst-1.0/cpp/stable/rst/audition/SoundChunk.pb.h:16:2: error: #error

 This file was generated by an older version of protoc which is

/vol/isy/SS2012/releases/lucid/gar-installer/rsx/rst/work/main.d/rst-1.0/cpp/stable/rst/audition/SoundChunk.pb.h:17:2: error: #error

 incompatible with your Protocol Buffer headers. Please

/vol/isy/SS2012/releases/lucid/gar-installer/rsx/rst/work/main.d/rst-1.0/cpp/stable/rst/audition/SoundChunk.pb.h:18:2: error: #error

 regenerate this file with a newer version of protoc.

make[2]: *** [CMakeFiles/gstrsb.dir/src/plugin.cpp.o] Error 1

make[1]: *** [CMakeFiles/gstrsb.dir/all] Error 2

make: *** [all] Error 2

Build step 'Execute shell' marked build as failure

Finished: FAILURE

History

#1 - 2014-05-09 12:10 - Florian Lier

- Status changed from New to Feedback

My bad, AI java path does strange things...

#2 - 2014-05-09 12:48 - Jan Moringen

- Description updated

What did the AI java path do? Could you fix the problem?

#3 - 2014-05-09 13:27 - Florian Lier

- Status changed from Feedback to Closed

Powered by TCPDF (www.tcpdf.org)

2024-05-15 3/3

http://www.tcpdf.org

